org.apache.fop.afp.apps

## Class FontPatternExtractor

- java.lang.Object
- - org.apache.fop.afp.apps.FontPatternExtractor

    public class FontPatternExtractor
    extends Object

This class represents a tool for extracting the Type 1 PFB file from an AFP outline font.

### Constructor Summary

Constructors
Constructor and Description
`FontPatternExtractor()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `extract(File file, File targetDir)` Extracts the Type1 PFB file from the given AFP outline font.
`static void` `main(String[] args)` Main method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontPatternExtractor

    public FontPatternExtractor()

### Method Detail

#### extract

    public void extract(File file,
                        File targetDir)
                 throws IOException

Extracts the Type1 PFB file from the given AFP outline font.

Parameters:
  `file` - the AFP file to read from
  `targetDir` - the target directory where the PFB file is to be placed.
Throws:
  `IOException` - if an I/O error occurs

#### main

    public static void main(String[] args)

Main method

Parameters:
  `args` - the command-line arguments